<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-title>Offers</ion-title>
        <ion-buttons slot="primary">
            <ion-button routerLink="/places/tabs/offers/new">
                <ion-icon name="add" slot="icon-only"></ion-icon>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content>
    <div *ngIf="isLoading" text-center>
        <ion-spinner color="primary"></ion-spinner>
    </div>
    <div *ngIf="!isLoading && loadPlaces.length <=0" text-center>
        <p>no offers found! please create one first!</p>

        <ion-button color="primary" routerLink="/places/tabs/offers/new">Add New Offer</ion-button>
    </div>


    <ion-grid *ngIf="!isLoading &&  loadPlaces.length >0">
        <ion-row>
            <ion-col size="12" size.sm="8" offset.sm="2" margin>
                <ion-list>
                    <ion-item-sliding *ngFor="let place of loadPlaces" #sliding>
                        <ion-item  detail >
                            <ion-thumbnail slot="start">
                                <ion-img [src]="place.imageURL"></ion-img>
                            </ion-thumbnail>
                            <ion-label>
                                <h2>{{ place.title }}</h2>
                            </ion-label>
                        </ion-item>
                        <ion-item-options>
                            <ion-item-option color="secondary" (click)="onEdit(place.id, sliding)">
                                <ion-icon name="create" slot="icon-only"></ion-icon>
                            </ion-item-option>
                        </ion-item-options>
                    </ion-item-sliding>
                </ion-list>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>